- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Typedefs | Enumerations
Ecore Connection Library Functions
Ecore » Ecore_Con - Connection functions

Utility functions that set up and shut down the Ecore Connection library. More...

## Typedefs
typedef enum _Ecore_Con_Type | Ecore_Con_Type

## Enumerations
enum | _Ecore_Con_Type { ECORE_CON_LOCAL_USER = 0, ECORE_CON_LOCAL_SYSTEM = 1, ECORE_CON_LOCAL_ABSTRACT = 2, ECORE_CON_REMOTE_TCP = 3, ECORE_CON_REMOTE_MCAST = 4, ECORE_CON_REMOTE_UDP = 5, ECORE_CON_REMOTE_BROADCAST = 6, ECORE_CON_REMOTE_NODELAY = 7, ECORE_CON_REMOTE_CORK = 8, ECORE_CON_USE_SSL2 = (1 << 4), ECORE_CON_USE_SSL3 = (1 << 5), ECORE_CON_USE_TLS = (1 << 6), ECORE_CON_USE_MIXED = ECORE_CON_USE_SSL3 | ECORE_CON_USE_TLS, ECORE_CON_LOAD_CERT = (1 << 7), ECORE_CON_NO_PROXY = (1 << 8), ECORE_CON_SOCKET_ACTIVATE = (1 << 9) }
| Types for an ecore_con client/server object. More...

## Detailed Description

Utility functions that set up and shut down the Ecore Connection library.

There's also ecore_con_lookup() that can be used to make simple asynchronous DNS lookups.

A simple example of how to use these functions:

- Ecore_Con - DNS lookup

## Enumeration Type Documentation

enum _Ecore_Con_Type

Types for an ecore_con client/server object.

A correct way to set this type is with an ECORE_CON_$TYPE, optionally OR'ed with an ECORE_CON_$USE if encryption is desired, and LOAD_CERT if the previously loaded certificate should be used.

1 ECORE_CON_REMOTE_TCP | ECORE_CON_USE_TLS | ECORE_CON_LOAD_CERT

Enumerator
ECORE_CON_LOCAL_USER | Socket in ~/.ecore.
ECORE_CON_LOCAL_SYSTEM | Socket in /tmp.
ECORE_CON_LOCAL_ABSTRACT | Abstract socket.
ECORE_CON_REMOTE_TCP | Remote server using TCP.
ECORE_CON_REMOTE_MCAST | Remote multicast server.
ECORE_CON_REMOTE_UDP | Remote server using UDP.
ECORE_CON_REMOTE_BROADCAST | Remote broadcast using UDP.
ECORE_CON_REMOTE_NODELAY | Remote connection sending packets immediately.
ECORE_CON_REMOTE_CORK | Remote connection sending data in large chunks. Note Only available on Linux Since 1.2
ECORE_CON_USE_SSL2 | Use SSL2: UNSUPPORTED.
ECORE_CON_USE_SSL3 | Use SSL3.
ECORE_CON_USE_TLS | Use TLS.
ECORE_CON_USE_MIXED | Use both TLS and SSL3.
ECORE_CON_LOAD_CERT | Attempt to use the loaded certificate.
ECORE_CON_NO_PROXY | Disable all types of proxy on the server. Note Only functional for clients Since 1.2